Package com.smartgwt.client.widgets.layout.events

# Interface HasMembersChangedHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AdaptiveMenu`, `AdvancedHiliteEditor`, `AISortProgressDialog`, `AIWindow`, `BatchUploader`, `BatchUploader`, `BatchUploader`, `BuildUIViaAIProgressDialog`, `BuildViaAIProgressDialog`, `CalendarView`, `ColorPicker`, `ColumnTree`, `CSSEditor`, `CubeGrid`, `DataView`, `DateChooser`, `DateGrid`, `DateRangeDialog`, `Deck`, `Dialog`, `EditSearchWindow`, `EditTree`, `EventCanvas`, `FieldPicker`, `FieldPickerWindow`, `FilterBuilder`, `FilterClause`, `FilterViaAIProgressDialog`, `GradientEditor`, `HiliteEditor`, `HiliteRule`, `HiliteViaAIProgressDialog`, `HLayout`, `HStack`, `ImgSectionHeader`, `IndicatorCanvas`, `Layout`, `ListGrid`, `ListPalette`, `ListPropertiesDialog`, `ListPropertiesPane`, `Menu`, `MenuBar`, `MenuPalette`, `MultiFilePicker`, `MultiGroupDialog`, `MultiGroupPanel`, `MultiSortDialog`, `MultiSortPanel`, `NavigationBar`, `NavPanel`, `PickListMenu`, `PortalLayout`, `Portlet`, `PrintWindow`, `RecordEditor`, `Reify`, `RibbonBar`, `RibbonGroup`, `RichTextEditor`, `SavedSearchEditor`, `ScreenLoader`, `SectionStack`, `SelectionTreeMenu`, `SeleneseRecorder`, `Shuttle`, `SplitPane`, `TabBar`, `TableView`, `Toolbar`, `ToolStrip`, `ToolStripGroup`, `TourWindow`, `TreeGrid`, `TreePalette`, `VLayout`, `VStack`, `Window`, `ZoneCanvas`

public interface HasMembersChangedHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addMembersChangedHandler(MembersChangedHandler handler)`
  Fires once at initialization if the layout has any initial members, and then fires whenever members are added, removed or reordered.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addMembersChangedHandler

    HandlerRegistration addMembersChangedHandler(MembersChangedHandler handler)
    Fires once at initialization if the layout has any initial members, and then fires whenever members are added, removed or reordered.
    Parameters:
      `handler` - the membersChanged handler
    Returns:
      `HandlerRegistration` used to remove this handler